﻿using System;
using System.Collections.Generic;

namespace MusicBoxConverter
{
	public class MusicBox
	{
		public List<string> ValidNotes { get; private set; }

		private MusicBox(List<string> inValidNotes)
		{
			ValidNotes = inValidNotes;
		}

		public bool IsValidNote(string noteName)
		{
			throw new NotImplementedException();
		}

		/// <summary>
		/// A 30 note music box.
		/// @Starbeamrainbowlabs has one of these - it was the part of the 
		/// inspiration for the whole project!
		/// </summary>
		public static MusicBox Note30 = new MusicBox(
			new List<string>() {
				"G3",
				"C4", "D4", "E4", "F4", "G4", "A4", "A#4", "B4",
				"C5", "C#5", "D5", "D#5", "E5", "F5", "F#5", "G5", "G#5", "A5", "A#5", "B5",
				"C6", "C#6", "D6", "D#6", "E6", "F6", "F#6", "G6", "A6"
			}
		);
	}
}
